    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Interface java.awt.LayoutManager

public interface LayoutManager

Defines the interface for classes that know how to layout Containers.

See Also:
  Container

##

addLayoutComponent(String, Component)
  Adds the specified component with the specified name to the layout.
layoutContainer(Container)
  Lays out the container in the specified panel.
minimumLayoutSize(Container)
  Calculates the minimum size dimensions for the specified panel given the components in the specified parent container.
preferredLayoutSize(Container)
  Calculates the preferred size dimensions for the specified panel given the components in the specified parent container.
removeLayoutComponent(Component)
  Removes the specified component from the layout.

##

addLayoutComponent

     public abstract void addLayoutComponent(String name,
                                             Component comp)

  Adds the specified component with the specified name to the layout.

  Parameters:
    name - the component name
    comp - the component to be added

removeLayoutComponent

     public abstract void removeLayoutComponent(Component comp)

  Removes the specified component from the layout.

  Parameters:
    comp - the component ot be removed

preferredLayoutSize

     public abstract Dimension preferredLayoutSize(Container parent)

  Calculates the preferred size dimensions for the specified panel given the components in the specified parent container.

  Parameters:
    parent - the component to be laid out
  See Also:
    minimumLayoutSize

minimumLayoutSize

     public abstract Dimension minimumLayoutSize(Container parent)

  Calculates the minimum size dimensions for the specified panel given the components in the specified parent container.

  Parameters:
    parent - the component to be laid out
  See Also:
    preferredLayoutSize

layoutContainer

     public abstract void layoutContainer(Container parent)

  Lays out the container in the specified panel.

  Parameters:
    parent - the component which needs to be laid out

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.